// SPDX-License-Identifier: GPL-2.0-only
/*
 * Copyright (c) 2021, The Linux Foundation. All rights reserved.
 * Copyright (c) 2022 Qualcomm Innovation Center, Inc. All rights reserved.
 */

#ifndef __IPA_GCC_HWIO_DEF_H__
#define __IPA_GCC_HWIO_DEF_H__
/**
  @file ipa_gcc_hwio.h
  @brief Auto-generated HWIO interface include file.

  This file contains HWIO register definitions for the following modules:
    GCC_CLK_CTL_REG.*

  'Include' filters applied: <none>
  'Exclude' filters applied: RESERVED DUMMY
*/

/*----------------------------------------------------------------------------
 * MODULE: GCC_CLK_CTL_REG
 *--------------------------------------------------------------------------*/

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_UFS_PHY_TX_SYMBOL_0_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_tx_symbol_0_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_tx_symbol_0_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_tx_symbol_0_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_UFS_PHY_RX_SYMBOL_0_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_0_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_0_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_0_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_UFS_PHY_RX_SYMBOL_1_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_1_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_1_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_1_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PRIM_PHY_PIPE_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_pipe_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_prim_phy_pipe_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_pipe_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PIPE_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_pipe_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_MBIST_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_mbist_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_mbist_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_mbist_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_MBIST_PLL_TEST_SE_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_mbist_pll_test_se_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_mbist_pll_test_se_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_mbist_pll_test_se_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PIPE_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_pipe_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_AUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_MBIST_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_mbist_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_mbist_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_mbist_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_MBIST_PLL_TEST_SE_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_mbist_pll_test_se_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_mbist_pll_test_se_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_mbist_pll_test_se_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_AND_PLL_TEST_SE_UFS_PHY_TX_SYMBOL_0_MUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_tx_symbol_0_mux_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_tx_symbol_0_mux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_tx_symbol_0_mux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_TX_SYMBOL_0_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_tx_symbol_0_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_tx_symbol_0_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_tx_symbol_0_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_AND_PLL_TEST_SE_UFS_PHY_RX_SYMBOL_0_MUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_rx_symbol_0_mux_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_rx_symbol_0_mux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_rx_symbol_0_mux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_RX_SYMBOL_0_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_0_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_0_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_0_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_AND_PLL_TEST_SE_UFS_PHY_RX_SYMBOL_1_MUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_rx_symbol_1_mux_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_rx_symbol_1_mux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_and_pll_test_se_ufs_phy_rx_symbol_1_mux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_RX_SYMBOL_1_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_1_muxr_s
{
  u32 mux_sel : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_1_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_1_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYSTEM_NOC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_system_noc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_system_noc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_system_noc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_CPUSS_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_cpuss_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_cpuss_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_cpuss_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_NAV_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_nav_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_nav_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_nav_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_TME_QXM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_tme_qxm_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_tme_qxm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_tme_qxm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_GC_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_SF_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_SF_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_SF_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_AHB_CFG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_ahb_cfg_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_ahb_cfg_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_ahb_cfg_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_QOSGEN_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_qosgen_extref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_qosgen_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_qosgen_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_TME_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_tme_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_tme_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_tme_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_NAV_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_nav_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_nav_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_nav_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 7;
  u32 reserved0 : 10;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_GC_AXI_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_gc_axi_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_GC_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_GC_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_gc_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_GC_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_gc_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_gc_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_gc_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_SYS_NOC_SF_AXI_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_sys_noc_sf_axi_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_SF_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_SF_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_sf_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SYS_NOC_SF_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sys_noc_sf_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sys_noc_sf_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_sys_noc_sf_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_APSS_QH_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_apss_qh_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_apss_qh_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_apss_qh_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_CENTER_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_center_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_SF_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_sf_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_sf_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_sf_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_NORTH_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_north_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_SOUTH_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_south_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_south_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_south_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_NORTH_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_north_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_north_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_north_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_WEST_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_west_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_west_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_west_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PCIE_SF_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PCIE_SF_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PCIE_SF_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_pcie_sf_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_NORTH_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_north_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_north_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_north_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_EAST_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_east_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_east_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_east_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_SOUTH_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_south_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_south_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_south_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_MMNOC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_mmnoc_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_mmnoc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_mmnoc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_QDSS_STM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_qdss_stm_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_qdss_stm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_qdss_stm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_USB3_PRIM_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_usb3_prim_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_usb3_prim_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_usb3_prim_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_LPASS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_WEST_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_west_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_west_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_west_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_EAST_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_east_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_east_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_east_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_NORTH_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_north_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_north_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_north_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_PCIE_NORTH_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_pcie_north_dcd_xo_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_pcie_north_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_pcie_north_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_SOUTH_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_south_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_south_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_south_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_CENTER_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_center_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_center_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_center_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_AH2PHY_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_ah2phy_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_ah2phy_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_ah2phy_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_LPASS_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_lpass_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_lpass_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_lpass_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_MMNOC_CNOC_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_mmnoc_cnoc_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_mmnoc_cnoc_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_mmnoc_cnoc_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 6;
  u32 reserved0 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_NORTH_QX_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_north_qx_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_NORTH_QX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_north_qx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_NORTH_QX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_north_qx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_CENTER_QX_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_center_qx_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_CENTER_QX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_center_qx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_CENTER_QX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_center_qx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CNOC_PERIPH_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cnoc_periph_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CONFIG_NOC_DDRSS_SF_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_config_noc_ddrss_sf_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_DDRSS_SF_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_DDRSS_SF_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_CFG_NOC_LPASS_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_cfg_noc_lpass_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_LPASS_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_LPASS_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_SOUTH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_south_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_south_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_south_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_NORTH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_north_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_north_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_north_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_PERIPH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_periph_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_periph_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_periph_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_LPASS_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_lpass_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_lpass_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_DDRSS_SF_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_ddrss_sf_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_CENTER_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_center_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_center_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_center_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_WEST_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_west_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_west_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_west_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_NORTH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_north_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_north_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_north_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_EAST_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_east_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_east_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_east_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_SOUTH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_south_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_south_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_south_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CONFIG_NOC_MMNOC_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_config_noc_mmnoc_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_config_noc_mmnoc_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_config_noc_mmnoc_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_CENTER_QX_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_center_qx_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_center_qx_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CNOC_NORTH_QX_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cnoc_north_qx_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cnoc_north_qx_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CFG_NOC_PCIE_ANOC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cfg_noc_pcie_anoc_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cfg_noc_pcie_anoc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cfg_noc_pcie_anoc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_AHB_CFG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_ahb_cfg_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_ahb_cfg_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_ahb_cfg_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_AGGRE_NOC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_aggre_noc_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_aggre_noc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_aggre_noc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_CNOC_PERIPH_NORTH_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_cnoc_periph_north_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_cnoc_periph_north_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_cnoc_periph_north_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_CNOC_PERIPH_SOUTH_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_cnoc_periph_south_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_cnoc_periph_south_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_cnoc_periph_south_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_QOSGEN_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_qosgen_extref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_qosgen_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_qosgen_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CENTER_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CENTER_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CENTER_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_center_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_QDSS_BAM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_QDSS_BAM_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_QDSS_BAM_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_qdss_bam_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CENTER_HS_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CENTER_HS_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CENTER_HS_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_center_hs_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_WEST_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_west_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_west_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_west_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_WEST_TUNNEL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_west_tunnel_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_west_tunnel_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_west_tunnel_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_EAST_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_east_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_east_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_east_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_EAST_TUNNEL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_east_tunnel_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_east_tunnel_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_east_tunnel_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_HS_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_hs_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_hs_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_hs_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_axi_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_TUNNEL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_tunnel_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_tunnel_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_tunnel_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_TUNNEL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_tunnel_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_tunnel_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_tunnel_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_PCIE_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_PCIE_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_PCIE_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_pcie_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_USB3_PRIM_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_usb3_prim_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_usb3_prim_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_usb3_prim_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_UFS_PHY_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_ufs_phy_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_ufs_phy_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_ufs_phy_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_IPA_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_ipa_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_ipa_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_ipa_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_PWRCTL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_pwrctl_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_pwrctl_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_pwrctl_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_AGGRE_NOC_NORTH_SF_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_aggre_noc_north_sf_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_SF_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_SF_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_WEST_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_west_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_west_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_west_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_EAST_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_east_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_east_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_east_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_HS_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_hs_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_hs_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_hs_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_WEST_TUNNEL_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_west_tunnel_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_west_tunnel_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_west_tunnel_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_EAST_TUNNEL_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_east_tunnel_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_east_tunnel_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_east_tunnel_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_TUNNEL_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_tunnel_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_tunnel_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_tunnel_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_SOUTH_TUNNEL_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_south_tunnel_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_south_tunnel_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_south_tunnel_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AGGRE_NOC_NORTH_SF_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_aggre_noc_north_sf_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TIC_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tic_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tic_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tic_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TIC_CFG_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tic_cfg_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tic_cfg_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tic_cfg_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TIC_CFG_QX_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tic_cfg_qx_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tic_cfg_qx_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_tic_cfg_qx_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TIC_CFG_QX_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tic_cfg_qx_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tic_cfg_qx_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_tic_cfg_qx_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IMEM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_imem_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_imem_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_imem_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IMEM_CFG_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_imem_cfg_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_imem_cfg_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_imem_cfg_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IMEM_CFG_QX_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_imem_cfg_qx_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_imem_cfg_qx_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_imem_cfg_qx_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IMEM_CFG_QX_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_imem_cfg_qx_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_imem_cfg_qx_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_imem_cfg_qx_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IMEM_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_imem_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_imem_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_imem_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_CFG_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_cfg_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_cfg_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_cfg_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 11;
  u32 reserved0 : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MMU_TCU_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mmu_tcu_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_ANOC_QTB1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_anoc_qtb1_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_anoc_qtb1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_anoc_qtb1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_ANOC_QTB2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_anoc_qtb2_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_anoc_qtb2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_anoc_qtb2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_MMNOC_QTB_SF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_sf_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_sf_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_sf_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_MMNOC_QTB_HF01_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_hf01_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_hf01_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_hf01_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_MMNOC_QTB_HF23_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_hf23_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_hf23_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_mmnoc_qtb_hf23_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 2;
  u32 reserved0 : 15;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_HF_QX_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_hf_qx_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HF_QX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HF_QX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HF_QX_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_MMNOC_SF_QX_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_mmnoc_sf_qx_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SF_QX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SF_QX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SF_QX_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sf_qx_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_ANOC_PCIE_QTB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_anoc_pcie_qtb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_anoc_pcie_qtb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_anoc_pcie_qtb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_TURING_Q6_QTB0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_turing_q6_qtb0_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_turing_q6_qtb0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_turing_q6_qtb0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCU_LPASS_AUDIO_QTB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcu_lpass_audio_qtb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcu_lpass_audio_qtb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcu_lpass_audio_qtb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_NORTH_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_north_at_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_north_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_north_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_TSCTR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_tsctr_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_tsctr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_tsctr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_QOSGEN_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_qosgen_extref_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_qosgen_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_qosgen_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_AHB_CFG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_ahb_cfg_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_ahb_cfg_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_ahb_cfg_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_MMNOC_DCD_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_mmnoc_dcd_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_mmnoc_dcd_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_mmnoc_dcd_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_TSCTR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_tsctr_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_tsctr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_tsctr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sf_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sf_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sf_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SF_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sf_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sf_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sf_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SF_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sf_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sf_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sf_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HF_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HF_QX_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HF_QX_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_hf_qx_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_PWRCTL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_pwrctl_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_pwrctl_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_pwrctl_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_QOSGEN_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_qosgen_extref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_qosgen_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_qosgen_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_QMIP_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_qmip_core_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_qmip_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_qmip_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_QMIP_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_qmip_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_qmip_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_qmip_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_QMIP_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_qmip_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_qmip_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_qmip_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMSS_QM_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmss_qm_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmss_qm_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmss_qm_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_CAMERA_NRT_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_camera_nrt_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_camera_nrt_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_camera_nrt_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_CAMERA_RT_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_camera_rt_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_camera_rt_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_camera_rt_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_HF_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_hf_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_hf_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_hf_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_HF_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_hf_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_hf_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_hf_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_HF_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_hf_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_hf_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_hf_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_SF_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_sf_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_sf_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_sf_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_SF_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_sf_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_sf_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_sf_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_SF_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_sf_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_sf_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_sf_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_camera_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISPLAY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_display_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_display_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_display_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_disp_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_disp_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_disp_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_DISP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_disp_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_disp_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_disp_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISP_HF_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_disp_hf_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_disp_hf_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_disp_hf_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISP_HF_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_disp_hf_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_disp_hf_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_disp_hf_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISP_HF_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_disp_hf_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_disp_hf_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_disp_hf_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISP_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_disp_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_disp_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_disp_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_video_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_video_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_VIDEO_CVP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_video_cvp_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_video_cvp_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_video_cvp_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_VIDEO_VCODEC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_video_vcodec_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_video_vcodec_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_video_vcodec_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_VIDEO_V_CPU_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_video_v_cpu_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_video_v_cpu_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_video_v_cpu_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_VIDEO_CV_CPU_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_video_cv_cpu_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_video_cv_cpu_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_video_cv_cpu_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AXI0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_axi0_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_axi0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_video_axi0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AXI0_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_axi0_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_axi0_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_video_axi0_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AXI0_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_axi0_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_axi0_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_video_axi0_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AXI1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_axi1_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_axi1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_video_axi1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AXI1_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_axi1_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_axi1_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_video_axi1_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_AXI1_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_axi1_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_axi1_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_video_axi1_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_video_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_DAP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_dap_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_dap_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_dap_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_cfg_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_CENTER_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_center_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_center_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_center_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_CENTER_AT_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_center_at_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_center_at_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_center_at_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_CENTER_AT_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_center_at_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_center_at_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_center_at_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SOUTH_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_south_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_south_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_south_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_WEST_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_west_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_west_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_west_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NORTH_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_north_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_north_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_north_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PHY_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_phy_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_phy_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_phy_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ETR_USB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_etr_usb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_etr_usb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_etr_usb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ETR_DDR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_etr_ddr_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_etr_ddr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_etr_ddr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_STM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_stm_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_stm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_stm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TRACECLKIN_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_traceclkin_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_traceclkin_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_traceclkin_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TSCTR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_tsctr_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_tsctr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_tsctr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_DAP_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_dap_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_dap_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_dap_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CENTER_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_center_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_center_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_center_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NORTH_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_north_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_north_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_north_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SOUTH_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_south_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_south_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_south_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_WEST_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_west_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_west_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_west_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_EAST_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_east_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_east_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_east_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_USB_PRIM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_usb_prim_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_usb_prim_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_usb_prim_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_A_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_a_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ATB_A_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_atb_a_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_atb_a_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_atb_a_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ATB_A_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_atb_a_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_atb_a_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_atb_a_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_B_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_b_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ATB_B_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_atb_b_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_atb_b_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_atb_b_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ATB_B_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_atb_b_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_atb_b_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_atb_b_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_ATB_C_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_atb_c_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ATB_C_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_atb_c_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_atb_c_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_atb_c_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_ATB_C_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_atb_c_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_atb_c_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_atb_c_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_STM_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_stm_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_STM_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_stm_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_stm_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_stm_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_STM_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_stm_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_stm_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_stm_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_QDSS_TRACECLKIN_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_qdss_traceclkin_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TRACECLKIN_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_traceclkin_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_traceclkin_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_traceclkin_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TRACECLKIN_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_traceclkin_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_traceclkin_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_traceclkin_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_APB_TSCTR_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_apb_tsctr_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_apb_tsctr_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_apb_tsctr_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_APB_TSCTR_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_apb_tsctr_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_apb_tsctr_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_apb_tsctr_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_QDSS_TRIG_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_qdss_trig_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TRIG_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_trig_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_trig_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_trig_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QDSS_TRIG_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qdss_trig_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qdss_trig_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qdss_trig_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_SLEEP_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_sleep_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_sleep_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_sleep_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MOCK_UTMI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_m_s
{
  u32 m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_m_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_n_s
{
  u32 not_n_minus_m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_n_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MASTER_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_master_d_s
{
  u32 not_2d : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_master_d_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_master_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MOCK_UTMI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MOCK_UTMI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB30_PRIM_MOCK_UTMI_POSTDIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_postdiv_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_postdiv_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_usb30_prim_mock_utmi_postdiv_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PRIM_PHY_AUX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PRIM_PHY_COM_AUX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_com_aux_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_prim_phy_com_aux_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_com_aux_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PRIM_PHY_PIPE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_pipe_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_prim_phy_pipe_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_pipe_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PRIM_PHY_AUX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PRIM_PHY_AUX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_prim_phy_aux_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_PRIM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_prim_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_prim_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_prim_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3PHY_PHY_PRIM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3phy_phy_prim_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3phy_phy_prim_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3phy_phy_prim_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_DP_PHY_PRIM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_dp_phy_prim_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_dp_phy_prim_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_dp_phy_prim_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_SEC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_sec_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_sec_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_sec_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3PHY_PHY_SEC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3phy_phy_sec_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3phy_phy_sec_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3phy_phy_sec_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_DP_PHY_SEC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_dp_phy_sec_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_dp_phy_sec_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_dp_phy_sec_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB3_PHY_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb3_phy_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_usb3_phy_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUSB2PHY_PRIM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qusb2phy_prim_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qusb2phy_prim_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qusb2phy_prim_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUSB2PHY_SEC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qusb2phy_sec_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qusb2phy_sec_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qusb2phy_sec_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_USB_PHY_CFG_AHB2PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_usb_phy_cfg_ahb2phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_usb_phy_cfg_ahb2phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_usb_phy_cfg_ahb2phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AHB2PHY_0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ahb2phy_0_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ahb2phy_0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ahb2phy_0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_m_s
{
  u32 m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_m_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_n_s
{
  u32 not_n_minus_m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_n_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC2_APPS_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc2_apps_d_s
{
  u32 not_2d : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc2_apps_d_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc2_apps_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_m_s
{
  u32 m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_m_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_n_s
{
  u32 not_n_minus_m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_n_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SDCC4_APPS_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sdcc4_apps_d_s
{
  u32 not_2d : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sdcc4_apps_d_u
{
  struct ipa_gcc_hwio_def_gcc_sdcc4_apps_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAPPER_I2C_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrapper_i2c_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrapper_i2c_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrapper_i2c_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_CORE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_core_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_CORE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 3;
  u32 reserved0 : 14;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_I2C_CORE_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_i2c_core_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S0_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S0_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s0_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S1_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S1_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s1_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S2_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S2_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s2_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S3_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S3_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S3_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s3_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S4_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S4_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S4_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s4_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S5_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S5_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S5_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s5_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S6_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S6_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S6_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s6_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S7_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S7_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S7_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s7_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S8_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S8_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S8_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s8_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S9_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S9_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_I2C_S9_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_i2c_s9_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAPPER_1_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrapper_1_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrapper_1_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrapper_1_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP_1_M_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap_1_m_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap_1_m_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap_1_m_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP_1_S_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap_1_s_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap_1_s_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap_1_s_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_2X_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_2X_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_2X_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP1_CORE_2X_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap1_core_2x_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_2X_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_CORE_2X_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_core_2x_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE0_QUPV3_WRAP1_S0_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se0_qupv3_wrap1_s0_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S0_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s0_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE1_QUPV3_WRAP1_S1_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se1_qupv3_wrap1_s1_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S1_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s1_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE2_QUPV3_WRAP1_S2_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se2_qupv3_wrap1_s2_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S2_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s2_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE3_QUPV3_WRAP1_S3_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se3_qupv3_wrap1_s3_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S3_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s3_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE4_QUPV3_WRAP1_S4_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se4_qupv3_wrap1_s4_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S4_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s4_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE5_QUPV3_WRAP1_S5_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se5_qupv3_wrap1_s5_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S5_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s5_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE6_QUPV3_WRAP1_S6_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se6_qupv3_wrap1_s6_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S6_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s6_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_SE7_QUPV3_WRAP1_S7_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_se7_qupv3_wrap1_s7_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP1_S7_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap1_s7_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAPPER_2_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrapper_2_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrapper_2_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrapper_2_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP_2_M_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap_2_m_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap_2_m_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap_2_m_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP_2_S_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap_2_s_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap_2_s_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap_2_s_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_2X_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_2X_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_2X_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_QUPV3_WRAP2_CORE_2X_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_qupv3_wrap2_core_2x_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_2X_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_CORE_2X_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_core_2x_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE0_QUPV3_WRAP2_S0_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se0_qupv3_wrap2_s0_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S0_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s0_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE1_QUPV3_WRAP2_S1_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se1_qupv3_wrap2_s1_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S1_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s1_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE2_QUPV3_WRAP2_S2_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se2_qupv3_wrap2_s2_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S2_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s2_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE3_QUPV3_WRAP2_S3_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se3_qupv3_wrap2_s3_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S3_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s3_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE4_QUPV3_WRAP2_S4_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se4_qupv3_wrap2_s4_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S4_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s4_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE5_QUPV3_WRAP2_S5_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se5_qupv3_wrap2_s5_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S5_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s5_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE6_QUPV3_WRAP2_S6_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se6_qupv3_wrap2_s6_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S6_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s6_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF0_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF1_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF2_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF3_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF4_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF5_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF6_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF7_M_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_m_dfsr_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_m_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_m_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF0_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF1_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF2_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF3_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF4_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF5_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF6_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF7_N_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_n_dfsr_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_n_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_n_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF0_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf0_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF1_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf1_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF2_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf2_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF3_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf3_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF4_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf4_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF5_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf5_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF6_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf6_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_SE7_QUPV3_WRAP2_S7_PERF7_D_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_d_dfsr_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_d_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_se7_qupv3_wrap2_s7_perf7_d_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_m_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_n_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QUPV3_WRAP2_S7_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_d_u
{
  struct ipa_gcc_hwio_def_gcc_qupv3_wrap2_s7_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM_XO4_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm_xo4_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm_xo4_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm_xo4_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm2_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM2_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm2_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm2_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm2_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM2_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm2_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm2_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm2_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PDM_XO4_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pdm_xo4_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pdm_xo4_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_pdm_xo4_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PMU_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pmu_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pmu_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pmu_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PMU_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pmu_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pmu_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pmu_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PMU_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pmu_core_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pmu_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pmu_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PMU_CORE_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_pmu_core_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PMU_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pmu_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pmu_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pmu_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PMU_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pmu_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pmu_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pmu_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PRNG_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_prng_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_prng_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_prng_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PRNG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_prng_ahb_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_prng_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_prng_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_BOOT_ROM_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_boot_rom_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_boot_rom_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_boot_rom_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_SNOC_QXM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_snoc_qxm_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_snoc_qxm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_snoc_qxm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCSR_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcsr_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcsr_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcsr_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCSR_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcsr_ahb_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcsr_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcsr_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TCSR_ACC_SERIAL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tcsr_acc_serial_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tcsr_acc_serial_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tcsr_acc_serial_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMRED_P2S_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memred_p2s_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memred_p2s_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_memred_p2s_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMRED_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memred_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memred_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_memred_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMRED_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memred_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memred_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_memred_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_BOOT_ROM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_boot_rom_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_boot_rom_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_boot_rom_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_BOOT_ROM_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_boot_rom_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_boot_rom_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_boot_rom_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_BOOT_ROM_AHB_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_boot_rom_ahb_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_boot_rom_ahb_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_boot_rom_ahb_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_BOOT_ROM_AHB_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_boot_rom_ahb_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_boot_rom_ahb_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_boot_rom_ahb_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TLMM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tlmm_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tlmm_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_tlmm_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TLMM_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tlmm_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tlmm_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tlmm_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TLMM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tlmm_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tlmm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_tlmm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AOSS_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aoss_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aoss_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_aoss_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AOSS_CNOC_M_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aoss_cnoc_m_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aoss_cnoc_m_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aoss_cnoc_m_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AOSS_CNOC_S_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aoss_cnoc_s_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aoss_cnoc_s_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aoss_cnoc_s_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AOSS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aoss_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aoss_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_aoss_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_FF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_ff_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_ff_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_ff_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_MEMNOC_CY_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_memnoc_cy_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_memnoc_cy_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_memnoc_cy_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_SNOC_CY_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_snoc_cy_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_snoc_cy_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_snoc_cy_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_DEBUG_CY_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_debug_cy_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_debug_cy_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_debug_cy_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_PNOC_CY_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_pnoc_cy_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_pnoc_cy_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_pnoc_cy_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_MEMNOC_CY_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_memnoc_cy_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_memnoc_cy_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_memnoc_cy_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_SNOC_CY_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_snoc_cy_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_snoc_cy_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_snoc_cy_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPDM_DEBUG_CY_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spdm_debug_cy_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spdm_debug_cy_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_spdm_debug_cy_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_axi_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_CE1_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_ce1_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CE1_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ce1_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ce1_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ce1_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ahb_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_DIV4_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_div4_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_div4_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_div4_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_DIV16_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_div16_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_div16_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_div16_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SLEEP_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sleep_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sleep_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sleep_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_DIV16_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_div16_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_div16_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_div16_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_DIV4_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_div4_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_div4_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_div4_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SLEEP_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sleep_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sleep_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sleep_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SLEEP_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sleep_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sleep_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_sleep_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_XO_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_xo_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_xo_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_xo_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_MMNOC_SF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_mmnoc_sf_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_mmnoc_sf_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_mmnoc_sf_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_MMNOC_HF_QX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_mmnoc_hf_qx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_mmnoc_hf_qx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_mmnoc_hf_qx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_TCU_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_tcu_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_tcu_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_tcu_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_TURING_Q6_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_turing_q6_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_turing_q6_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_turing_q6_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_MSS_Q6_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_mss_q6_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_mss_q6_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_mss_q6_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_MODEM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_modem_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_modem_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_modem_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_GPU_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_gpu_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_gpu_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_gpu_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_PCIE_SF_QTB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_pcie_sf_qtb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_pcie_sf_qtb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_pcie_sf_qtb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_SNOC_GC_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_snoc_gc_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_snoc_gc_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_snoc_gc_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_SNOC_SF_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_snoc_sf_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_snoc_sf_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_snoc_sf_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_CONFIG_NOC_SF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_config_noc_sf_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_config_noc_sf_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_config_noc_sf_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_LPASS_SHUB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_lpass_shub_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_lpass_shub_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_lpass_shub_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SHRM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_shrm_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_shrm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_shrm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_PWRCTL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_pwrctl_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_pwrctl_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_pwrctl_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MEMNOC_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_memnoc_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_SHRM_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_shrm_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SHRM_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_shrm_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_shrm_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_shrm_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SHRM_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_shrm_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_shrm_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_shrm_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SHRM_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_shrm_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_shrm_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_shrm_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_GPLL0_MAIN_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_gpll0_main_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_gpll0_main_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_gpll0_main_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_CFG_NOC_SWAY_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_cfg_noc_sway_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_cfg_noc_sway_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_cfg_noc_sway_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_LPASS_QTB_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_lpass_qtb_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_lpass_qtb_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_lpass_qtb_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AON_NOC_DDRSS_SHUB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_aon_noc_ddrss_shub_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_aon_noc_ddrss_shub_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_aon_noc_ddrss_shub_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AGGRE_NOC_MPU_CLIENT_DDRSS_SHUB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_aggre_noc_mpu_client_ddrss_shub_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_aggre_noc_mpu_client_ddrss_shub_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_aggre_noc_mpu_client_ddrss_shub_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_HW_AF_NOC_DDRSS_SHUB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_HW_AF_NOC_DDRSS_SHUB_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_HW_AF_NOC_DDRSS_SHUB_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_hw_af_noc_ddrss_shub_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AGGRE_NOC_DDRSS_SHUB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_aggre_noc_ddrss_shub_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_aggre_noc_ddrss_shub_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_aggre_noc_ddrss_shub_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_LPASS_DDRSS_SHUB_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_lpass_ddrss_shub_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DDRSS_SHUB_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_ddrss_shub_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_ddrss_shub_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_ddrss_shub_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DDRSS_SHUB_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_ddrss_shub_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_ddrss_shub_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_ddrss_shub_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AUDIO_QTB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_audio_qtb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_audio_qtb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_audio_qtb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AUDIO_QTB_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_audio_qtb_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_audio_qtb_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_audio_qtb_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_AUDIO_QTB_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_audio_qtb_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_audio_qtb_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_audio_qtb_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QOSGEN_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qosgen_extref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qosgen_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qosgen_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QDSS_TSCTR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qdss_tsctr_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qdss_tsctr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qdss_tsctr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_PWRCTL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_pwrctl_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_pwrctl_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_pwrctl_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_QTB0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_qtb0_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_qtb0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_qtb0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_QTB0_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_qtb0_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_qtb0_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_qtb0_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_QTB0_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_qtb0_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_qtb0_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_qtb0_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_NSP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_nsp_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_nsp_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_nsp_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NSP_QOSGEN_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_nsp_qosgen_extref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_nsp_qosgen_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_nsp_qosgen_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NSP_QDSS_TSCTR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_nsp_qdss_tsctr_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_nsp_qdss_tsctr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_nsp_qdss_tsctr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_PWRCTL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_pwrctl_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_pwrctl_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_pwrctl_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_MMNOC_SF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_mmnoc_sf_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_mmnoc_sf_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_mmnoc_sf_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_TURING_NSP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_turing_nsp_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_turing_nsp_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_turing_nsp_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_TURING_Q6_AXI_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_turing_q6_axi_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_Q6_AXI_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_q6_axi_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_q6_axi_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_turing_q6_axi_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_CONFIG_NOC_SF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_config_noc_sf_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_config_noc_sf_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_config_noc_sf_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AHB_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_ahb_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_ahb_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_ahb_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AHB_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_ahb_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_ahb_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_ahb_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AHB_POSTDIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_ahb_postdiv_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_ahb_postdiv_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_ahb_postdiv_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_CPUSS_AXI_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_cpuss_axi_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_GPLL0_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_gpll0_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_gpll0_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_gpll0_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_GPLL0_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_gpll0_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_gpll0_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_gpll0_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AXI_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_axi_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_axi_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_axi_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APSS_QDSS_TSCTR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apss_qdss_tsctr_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apss_qdss_tsctr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_apss_qdss_tsctr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APSS_QDSS_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apss_qdss_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apss_qdss_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_apss_qdss_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_BUS_TIMEOUT_EXTREF_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_BUS_TIMEOUT_EXTREF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_BUS_TIMEOUT_EXTREF_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QOSGEN_EXTREF_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qosgen_extref_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qosgen_extref_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_qosgen_extref_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NOC_BUS_TIMEOUT_EXTREF_DIV512_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_div512_cdivr_s
{
  u32 clk_div : 9;
  u32 reserved0 : 23;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_div512_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_noc_bus_timeout_extref_div512_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APB2JTAG_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apb2jtag_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apb2jtag_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_apb2jtag_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_CX_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_cx_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_cx_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_cx_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_CX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_cx_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_cx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_cx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_CX_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_cx_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_cx_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_cx_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_CX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_cx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_cx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_cx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_CX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_cx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_cx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_cx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXC_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxc_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXC_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxc_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXC_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxc_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxc_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXA_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxa_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXA_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxa_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXA_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxa_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXA_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxa_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MXA_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mxa_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mxa_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_NSP_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_nsp_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_NSP_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_nsp_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_NSP_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_nsp_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_NSP_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_nsp_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_NSP_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_nsp_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_nsp_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DEBUG_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_debug_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_debug_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_debug_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DEBUG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_debug_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_debug_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_debug_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_FRQ_MEASURE_REF_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_frq_measure_ref_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_frq_measure_ref_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_frq_measure_ref_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_TEST_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_test_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_test_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_pll_test_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_TEST_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_test_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_test_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pll_test_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp1_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gp1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP1_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp1_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp1_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gp1_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP1_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp1_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp1_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gp1_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP1_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp1_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp1_m_u
{
  struct ipa_gcc_hwio_def_gcc_gp1_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP1_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp1_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp1_n_u
{
  struct ipa_gcc_hwio_def_gcc_gp1_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP1_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp1_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp1_d_u
{
  struct ipa_gcc_hwio_def_gcc_gp1_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp2_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gp2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP2_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp2_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp2_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gp2_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP2_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp2_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp2_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gp2_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP2_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp2_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp2_m_u
{
  struct ipa_gcc_hwio_def_gcc_gp2_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP2_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp2_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp2_n_u
{
  struct ipa_gcc_hwio_def_gcc_gp2_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP2_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp2_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp2_d_u
{
  struct ipa_gcc_hwio_def_gcc_gp2_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP3_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp3_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp3_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gp3_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP3_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp3_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp3_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gp3_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP3_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp3_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp3_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gp3_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP3_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp3_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp3_m_u
{
  struct ipa_gcc_hwio_def_gcc_gp3_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP3_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp3_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp3_n_u
{
  struct ipa_gcc_hwio_def_gcc_gp3_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GP3_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gp3_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gp3_d_u
{
  struct ipa_gcc_hwio_def_gcc_gp3_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_PCIE_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_pcie_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_pcie_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_pcie_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_SLV_Q2A_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_slv_q2a_axi_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_slv_q2a_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_slv_q2a_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_SLV_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_SLV_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_SLV_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_slv_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_MSTR_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_MSTR_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_MSTR_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_mstr_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_cfg_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PIPE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_pipe_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PIPE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_pipe_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PIPE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_pipe_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_pipe_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_RCHNG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_RCHNG_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_RCHNG_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_rchng_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_m_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_n_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_AUX_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_aux_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_aux_d_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_aux_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_SLV_Q2A_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_slv_q2a_axi_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_slv_q2a_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_slv_q2a_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_SLV_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_SLV_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_SLV_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_slv_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_MSTR_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_MSTR_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_MSTR_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_mstr_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_cfg_ahb_cbcr_s
{
  u32 reserved0 : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved1 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_AUX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_AUX_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_AUX_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_aux_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PIPE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_pipe_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PIPE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_pipe_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PIPE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_pipe_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_pipe_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_RCHNG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cbcr_s
{
  u32 reserved0 : 2;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_RCHNG_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_RCHNG_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_rchng_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_m_s
{
  u32 m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_m_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_n_s
{
  u32 not_n_minus_m : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_n_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_AUX_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_aux_d_s
{
  u32 not_2d : 16;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_aux_d_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_aux_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_MEM_PHY_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_mem_phy_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_MEM_PHY_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_MEM_PHY_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_MEM_PHY_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_MEM_PHY_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_mem_phy_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_TX_SYMBOL_0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_tx_symbol_0_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_tx_symbol_0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_tx_symbol_0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_RX_SYMBOL_0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_0_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 dirty_m : 1;
  u32 dirty_n : 1;
  u32 dirty_d : 1;
  u32 reserved1 : 23;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 1;
  u32 mode : 2;
  u32 reserved2 : 6;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_M
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_m_s
{
  u32 m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_m_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_m_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_N
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_n_s
{
  u32 not_n_minus_m : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_n_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_n_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_AXI_D
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_d_s
{
  u32 not_2d : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_axi_d_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_axi_d_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_UFS_PHY_TX_SYMBOL_0_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_tx_symbol_0_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_tx_symbol_0_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_tx_symbol_0_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_UFS_PHY_RX_SYMBOL_0_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_0_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_0_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_0_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_UNIPRO_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_UNIPRO_CORE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_UNIPRO_CORE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_ICE_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 7;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_ICE_CORE_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_ICE_CORE_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_ICE_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_ICE_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_ice_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_UNIPRO_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_UNIPRO_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_unipro_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_PHY_AUX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_PHY_AUX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_PHY_AUX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_phy_aux_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_PHY_RX_SYMBOL_1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_1_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_phy_rx_symbol_1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_UFS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ufs_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ufs_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ufs_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_UFS_PHY_RX_SYMBOL_1_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_1_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_1_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_ufs_phy_rx_symbol_1_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VS_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vs_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vs_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_vs_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VDDMXC_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vddmxc_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vddmxc_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_vddmxc_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VDDCX_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vddcx_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vddcx_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_vddcx_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VDDMX_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vddmx_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vddmx_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_vddmx_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VDDA_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vdda_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vdda_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_vdda_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VS_CTRL_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vs_ctrl_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vs_ctrl_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_vs_ctrl_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VS_CTRL_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vs_ctrl_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vs_ctrl_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_vs_ctrl_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VSENSOR_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vsensor_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vsensor_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_vsensor_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VSENSOR_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vsensor_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vsensor_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_vsensor_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VS_CTRL_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vs_ctrl_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vs_ctrl_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_vs_ctrl_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VS_CTRL_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vs_ctrl_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vs_ctrl_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_vs_ctrl_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APC_VS_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apc_vs_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apc_vs_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_apc_vs_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MDSS_VS_0_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mdss_vs_0_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mdss_vs_0_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mdss_vs_0_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MDSS_VS_1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mdss_vs_1_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mdss_vs_1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mdss_vs_1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DCC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dcc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dcc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_dcc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DCC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dcc_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 8;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved1 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dcc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_dcc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DCC_AHB_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dcc_ahb_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dcc_ahb_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_dcc_ahb_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DCC_AHB_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dcc_ahb_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dcc_ahb_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_dcc_ahb_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_gdscr_s
{
  u32 sw_collapse : 1;
  u32 hw_control : 1;
  u32 sw_override : 1;
  u32 pd_ares : 1;
  u32 clk_disable : 1;
  u32 clamp_io : 1;
  u32 en_few : 1;
  u32 en_rest : 1;
  u32 retain : 1;
  u32 save : 1;
  u32 restore : 1;
  u32 retain_ff_enable : 1;
  u32 clk_dis_wait : 4;
  u32 en_few_wait : 4;
  u32 en_rest_wait : 4;
  u32 reserved0 : 3;
  u32 gdsc_state : 4;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_CFG_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_cfg_gdscr_s
{
  u32 disable_clk_software_override : 1;
  u32 clamp_io_software_override : 1;
  u32 save_restore_software_override : 1;
  u32 unclamp_io_software_override : 1;
  u32 gdsc_pscbc_pwr_dwn_sw : 1;
  u32 gdsc_phase_reset_delay_count_sw : 2;
  u32 gdsc_phase_reset_en_sw : 1;
  u32 gdsc_mem_core_force_in_sw : 1;
  u32 gdsc_mem_peri_force_in_sw : 1;
  u32 gdsc_handshake_dis : 1;
  u32 software_control_override : 4;
  u32 gdsc_power_down_complete : 1;
  u32 gdsc_power_up_complete : 1;
  u32 gdsc_enf_ack_status : 1;
  u32 gdsc_enr_ack_status : 1;
  u32 gdsc_mem_pwr_ack_status : 1;
  u32 gdsc_cfg_fsm_state_status : 4;
  u32 gdsc_pwr_up_start : 1;
  u32 gdsc_pwr_dwn_start : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_cfg_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_cfg_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_CFG2_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_cfg2_gdscr_s
{
  u32 mem_pwr_dwn_timeout : 4;
  u32 dly_assert_clamp_mem : 4;
  u32 dly_deassert_clamp_mem : 4;
  u32 dly_mem_pwr_up : 4;
  u32 gdsc_clamp_mem_sw : 1;
  u32 gdsc_pwrdwn_enable_ack_override : 1;
  u32 gdsc_mem_pwrup_ack_override : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_cfg2_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_cfg2_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_CFG3_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_cfg3_gdscr_s
{
  u32 gdsc_spare_ctrl_out : 8;
  u32 gdsc_spare_ctrl_in : 8;
  u32 gdsc_accu_red_sw_override : 1;
  u32 gdsc_accu_red_shifter_start_sw : 1;
  u32 gdsc_accu_red_shifter_clk_en_sw : 1;
  u32 gdsc_accu_red_shifter_done_override : 1;
  u32 gdsc_accu_red_timer_en_sw : 1;
  u32 dly_accu_red_shifter_done : 4;
  u32 gdsc_accu_red_enable : 1;
  u32 gdsc_accu_red_shifter_done_status : 1;
  u32 reserved0 : 5;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_cfg3_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_cfg3_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_CFG4_GDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_cfg4_gdscr_s
{
  u32 dly_retainff : 4;
  u32 dly_clampio : 4;
  u32 dly_deassertares : 4;
  u32 dly_noretainff : 4;
  u32 dly_restoreff : 4;
  u32 dly_unclampio : 4;
  u32 reserved0 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_cfg4_gdscr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_cfg4_gdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_2X_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_2x_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_2x_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_2x_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_2X_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_2x_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_2x_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_2x_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_2X_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_2x_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_2x_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_2x_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 9;
  u32 force_mem_periph_off : 1;
  u32 force_mem_periph_on : 1;
  u32 force_mem_core_on : 1;
  u32 reserved2 : 5;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved3 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved4 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_sregr_s
{
  u32 reserved0 : 1;
  u32 sw_clk_en_slp_stg : 1;
  u32 sw_clk_en_sel_slp_stg : 1;
  u32 sw_ctrl_pwr_down : 1;
  u32 sw_rst_slp_stg : 1;
  u32 sw_rst_sel_slp_stg : 1;
  u32 force_clk_on : 1;
  u32 mem_cph_enable : 1;
  u32 sw_div_ratio_slp_stg_clk : 2;
  u32 mem_periph_on_ack : 1;
  u32 mem_core_on_ack : 1;
  u32 sw_sm_pscbc_seq_in_override : 1;
  u32 mem_cph_rst_sw_override : 1;
  u32 pscbc_slp_stg_mode_csr : 1;
  u32 ignore_gdsc_pwr_dwn_csr : 1;
  u32 sreg_pscbc_spare_ctrl_in : 4;
  u32 pwr_fsm_clk_sel : 1;
  u32 reserved1 : 3;
  u32 sreg_pscbc_spare_ctrl_out : 4;
  u32 reserved2 : 4;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_CFG_SREGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_cfg_sregr_s
{
  u32 wakeup_timer : 8;
  u32 sleep_timer : 8;
  u32 mem_cph_timer : 6;
  u32 mem_core_on_status : 1;
  u32 mem_periph_on_status : 1;
  u32 mem_core_on_ack_status : 1;
  u32 mem_periph_on_ack_status : 1;
  u32 mem_core_off_timer : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_cfg_sregr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_cfg_sregr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_APB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_apb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_apb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_apb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_CMD_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_cmd_dfsr_s
{
  u32 dfs_en : 1;
  u32 curr_perf_state : 4;
  u32 hw_clk_control : 1;
  u32 dfs_fsm_state : 3;
  u32 perf_state_update_status : 1;
  u32 sw_override : 1;
  u32 sw_perf_state : 4;
  u32 rcg_sw_ctrl : 1;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_cmd_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_cmd_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_IPA_2X_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_ipa_2x_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_2X_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_2x_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_2x_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_2x_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_2X_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_2x_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_2x_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_2x_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_2X_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_2x_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_2x_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_2x_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPA_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipa_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipa_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_ipa_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_MSS_OFFLINE_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_mss_offline_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_mss_offline_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_mss_offline_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_MSS_Q6_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_mss_q6_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_mss_q6_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_mss_q6_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_OFFLINE_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_offline_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_offline_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_offline_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_AXIS2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_axis2_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_axis2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_axis2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_SNOC_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_snoc_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_snoc_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_snoc_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_MEMNOC_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 ignore_pmu_clk_dis : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_PLL0_MAIN_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_pll0_main_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_pll0_main_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_pll0_main_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_OFFLINE_AXI_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_offline_axi_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_offline_axi_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_offline_axi_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_Q6_MEMNOC_AXI_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_q6_memnoc_axi_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_MEMNOC_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_MEMNOC_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_MEMNOC_AXI_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_memnoc_axi_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_MSS_OFFLINE_AXI_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_mss_offline_axi_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_OFFLINE_AXI_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_offline_axi_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_offline_axi_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_offline_axi_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_OFFLINE_AXI_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_offline_axi_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_offline_axi_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_offline_axi_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_glm_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_glm_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_glm_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLM_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_glm_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_glm_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_glm_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_glm_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_glm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_glm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLM_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_glm_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_glm_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_glm_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLM_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_glm_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_glm_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_glm_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLM_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_glm_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_glm_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_glm_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QMIP_GPU_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qmip_gpu_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qmip_gpu_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qmip_gpu_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_MEMNOC_GFX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_SNOC_DVM_GFX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_snoc_dvm_gfx_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_snoc_dvm_gfx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_snoc_dvm_gfx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF0_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf0_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf0_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf0_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF1_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf1_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf1_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf1_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF2_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf2_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf2_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf2_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF3_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf3_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf3_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf3_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF4_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf4_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf4_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf4_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF5_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf5_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf5_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf5_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF6_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf6_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf6_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf6_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF7_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf7_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf7_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf7_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF8_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf8_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf8_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf8_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF9_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf9_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf9_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf9_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF10_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf10_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf10_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf10_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF11_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf11_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf11_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf11_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF12_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf12_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf12_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf12_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF13_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf13_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf13_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf13_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF14_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf14_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf14_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf14_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_GPU_MEMNOC_GFX_PERF15_DFSR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf15_dfsr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf15_dfsr_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_gpu_memnoc_gfx_perf15_dfsr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_MEMNOC_GFX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_MEMNOC_GFX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_MEMNOC_GFX_DCD_CDIV_DCDR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_dcd_cdiv_dcdr_s
{
  u32 dcd_enable : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_dcd_cdiv_dcdr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_dcd_cdiv_dcdr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_PLL0_MAIN_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_pll0_main_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_pll0_main_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_pll0_main_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_TRIG_DIV_CDIVR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_trig_div_cdivr_s
{
  u32 clk_div : 4;
  u32 reserved0 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_trig_div_cdivr_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_trig_div_cdivr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_SNOC_ANOC_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_snoc_anoc_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_snoc_anoc_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_snoc_anoc_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_SCR_NIU_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_scr_niu_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_scr_niu_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_scr_niu_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CFG_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_cfg_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_cfg_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_cfg_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_SCSR_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_scsr_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 17;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved2 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved3 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_scsr_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_scsr_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_GPKT_XO_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_gpkt_xo_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_gpkt_xo_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_gpkt_xo_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_TRIG_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_trig_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_trig_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_trig_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_AT_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_at_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_at_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_at_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NAV_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_nav_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_nav_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_nav_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_NAV_AXI_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_nav_axi_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_nav_axi_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_nav_axi_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AHB2PHY_SOUTH_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ahb2phy_south_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ahb2phy_south_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_ahb2phy_south_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_AHB2PHY_1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ahb2phy_1_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ahb2phy_1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ahb2phy_1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CM_PHY_REFGEN1_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cm_phy_refgen1_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cm_phy_refgen1_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_cm_phy_refgen1_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CM_PHY_REFGEN1_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cm_phy_refgen1_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cm_phy_refgen1_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cm_phy_refgen1_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CM_PHY_REFGEN2_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cm_phy_refgen2_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cm_phy_refgen2_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_cm_phy_refgen2_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CM_PHY_REFGEN2_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cm_phy_refgen2_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cm_phy_refgen2_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_cm_phy_refgen2_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QSPI_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qspi_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qspi_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_qspi_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QSPI_CNOC_PERIPH_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qspi_cnoc_periph_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qspi_cnoc_periph_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qspi_cnoc_periph_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QSPI_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qspi_core_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qspi_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_qspi_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QSPI_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qspi_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qspi_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qspi_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_QSPI_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_qspi_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_qspi_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_qspi_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MMCX_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mmcx_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MMCX_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MMCX_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mmcx_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MMCX_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RBCPR_MMCX_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_rbcpr_mmcx_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPCC_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipcc_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipcc_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipcc_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPCC_CORE_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipcc_core_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipcc_core_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipcc_core_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPCC_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipcc_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipcc_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_ipcc_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPCC_CORE_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipcc_core_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipcc_core_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ipcc_core_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_IPCC_CORE_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ipcc_core_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ipcc_core_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_ipcc_core_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 18;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved1 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_CX_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_cx_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_cx_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_cx_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_MX_AHB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_mx_ahb_cbcr_s
{
  u32 clk_enable : 1;
  u32 hw_ctl : 1;
  u32 clk_ares : 1;
  u32 sw_only_en : 1;
  u32 reserved0 : 16;
  u32 ignore_rpmh_clk_dis : 1;
  u32 reserved1 : 1;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_mx_ahb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_mx_ahb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_CB_CBCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_cb_cbcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 1;
  u32 clk_ares : 1;
  u32 reserved1 : 19;
  u32 clk_dis : 1;
  u32 ignore_all_clk_dis : 1;
  u32 ignore_all_ares : 1;
  u32 reserved2 : 6;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_cb_cbcr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_cb_cbcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_CMD_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_cmd_rcgr_s
{
  u32 update : 1;
  u32 root_en : 1;
  u32 reserved0 : 2;
  u32 dirty_cfg_rcgr : 1;
  u32 reserved1 : 26;
  u32 root_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_cmd_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_cmd_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DPM_CFG_RCGR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_dpm_cfg_rcgr_s
{
  u32 src_div : 5;
  u32 reserved0 : 3;
  u32 src_sel : 3;
  u32 reserved1 : 5;
  u32 rcglite_disable : 1;
  u32 reserved2 : 3;
  u32 hw_clk_control : 1;
  u32 reserved3 : 11;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_dpm_cfg_rcgr_u
{
  struct ipa_gcc_hwio_def_gcc_dpm_cfg_rcgr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP1_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp1_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp1_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp1_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP2_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp2_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp2_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp2_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP3_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp3_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp3_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp3_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP4_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp4_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp4_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp4_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP5_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp5_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp5_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp5_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP6_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp6_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp6_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp6_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP7_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp7_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp7_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp7_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP8_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp8_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp8_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp8_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP9_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp9_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp9_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp9_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP10_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp10_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp10_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp10_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP11_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp11_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp11_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp11_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP12_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp12_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp12_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp12_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_MAIN_PWRGRP13_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp13_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp13_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_main_pwrgrp13_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP14_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp14_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp14_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp14_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP15_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp15_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp15_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp15_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP16_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp16_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp16_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp16_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP17_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp17_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp17_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp17_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP18_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp18_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp18_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp18_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP19_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp19_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp19_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp19_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP20_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp20_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp20_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp20_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP21_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp21_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp21_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp21_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP22_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp22_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp22_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp22_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP23_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp23_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp23_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp23_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP24_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp24_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp24_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp24_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP25_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp25_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp25_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp25_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPLL0_OUT_EVEN_PWRGRP26_CLKGEN_ACGC_ACGCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp26_clkgen_acgc_acgcr_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp26_clkgen_acgc_acgcr_u
{
  struct ipa_gcc_hwio_def_gcc_gpll0_out_even_pwrgrp26_clkgen_acgc_acgcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_IPA_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_ipa_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_ipa_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_ipa_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_ANOC_PCIE_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_anoc_pcie_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_anoc_pcie_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_anoc_pcie_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_PCIE_1_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_pcie_1_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_pcie_1_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_pcie_1_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_USB30_PRIM_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_usb30_prim_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_usb30_prim_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_usb30_prim_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_UFS_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_ufs_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_ufs_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_ufs_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_USB3_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_usb3_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_usb3_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_usb3_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_MMU_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_mmu_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_mmu_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_mmu_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_PCIE_1_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_pcie_1_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_pcie_1_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_pcie_1_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_PCIE_0_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_pcie_0_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_pcie_0_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_pcie_0_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_TURING_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_turing_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_turing_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_turing_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_UFS_MEM_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_ufs_mem_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_ufs_mem_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_ufs_mem_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_PCIE_0_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_pcie_0_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_pcie_0_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_pcie_0_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_LPASS_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_lpass_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_lpass_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_lpass_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_MMNOC_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_mmnoc_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_mmnoc_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_sp_mmnoc_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_IPA_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_ipa_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_ipa_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_ipa_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_ANOC_PCIE_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_anoc_pcie_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_anoc_pcie_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_anoc_pcie_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_PCIE_1_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_1_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_pcie_1_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_1_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_USB30_PRIM_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_usb30_prim_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_usb30_prim_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_usb30_prim_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_UFS_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_ufs_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_ufs_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_ufs_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_USB3_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_usb3_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_usb3_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_usb3_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_MMU_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_mmu_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_mmu_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_mmu_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_PCIE_1_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_1_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_pcie_1_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_1_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_PCIE_0_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_0_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_pcie_0_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_0_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_TURING_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_turing_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_turing_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_turing_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_UFS_MEM_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_ufs_mem_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_ufs_mem_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_ufs_mem_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_PCIE_0_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_0_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_pcie_0_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_pcie_0_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_LPASS_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_lpass_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_lpass_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_lpass_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_MMNOC_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_mmnoc_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_mmnoc_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_mmnoc_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_IPA_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_ipa_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_ipa_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_ipa_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_ANOC_PCIE_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_anoc_pcie_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_anoc_pcie_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_anoc_pcie_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_PCIE_1_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_1_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_pcie_1_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_1_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_USB30_PRIM_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_usb30_prim_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_usb30_prim_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_usb30_prim_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_UFS_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_ufs_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_ufs_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_ufs_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_USB3_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_usb3_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_usb3_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_usb3_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_MMU_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_mmu_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_mmu_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_mmu_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_PCIE_1_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_1_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_pcie_1_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_1_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_PCIE_0_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_0_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_pcie_0_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_0_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_TURING_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_turing_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_turing_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_turing_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_UFS_MEM_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_ufs_mem_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_ufs_mem_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_ufs_mem_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_PCIE_0_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_0_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_pcie_0_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_pcie_0_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_LPASS_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_lpass_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_lpass_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_lpass_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_MMNOC_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_mmnoc_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_mmnoc_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_mmnoc_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_IPA_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_ipa_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_ipa_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_ipa_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_ANOC_PCIE_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_anoc_pcie_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_anoc_pcie_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_anoc_pcie_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_PCIE_1_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_pcie_1_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_pcie_1_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_pcie_1_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_USB30_PRIM_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_usb30_prim_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_usb30_prim_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_usb30_prim_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_UFS_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_ufs_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_ufs_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_ufs_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_USB3_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_usb3_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_usb3_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_usb3_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_MMU_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_mmu_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_mmu_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_mmu_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_PCIE_1_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_pcie_1_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_pcie_1_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_pcie_1_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_PCIE_0_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_pcie_0_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_pcie_0_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_pcie_0_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_TURING_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_turing_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_turing_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_turing_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_UFS_MEM_PHY_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_ufs_mem_phy_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_ufs_mem_phy_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_ufs_mem_phy_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_PCIE_0_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_pcie_0_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_pcie_0_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_pcie_0_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_LPASS_QTB_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_lpass_qtb_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_lpass_qtb_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_lpass_qtb_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_MMNOC_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_mmnoc_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_mmnoc_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_tme_mmnoc_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ACC_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_acc_misc_s
{
  u32 jtag_acc_src_sel_en : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_acc_misc_u
{
  struct ipa_gcc_hwio_def_gcc_acc_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CPUSS_AHB_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cpuss_ahb_misc_s
{
  u32 cpuss_ahb_clk_auto_scale_dis : 1;
  u32 reserved0 : 3;
  u32 cpuss_ahb_clk_auto_scale_div : 4;
  u32 reserved1 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cpuss_ahb_misc_u
{
  struct ipa_gcc_hwio_def_gcc_cpuss_ahb_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_sp_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_sp_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_sp_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_sp_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_spare_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_spare_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_CLOCK_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_ena : 1;
  u32 tcsr_ahb_clk_ena : 1;
  u32 qdss_cfg_ahb_clk_ena : 1;
  u32 ce1_ahb_clk_ena : 1;
  u32 ce1_axi_clk_ena : 1;
  u32 ce1_clk_ena : 1;
  u32 tlmm_clk_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_ena : 1;
  u32 qmip_pcie_ahb_clk_ena : 1;
  u32 aggre_noc_pcie_axi_clk_ena : 1;
  u32 prng_ahb_clk_ena : 1;
  u32 tme_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_clk_src_ena : 1;
  u32 gpu_gpll0_div_clk_src_ena : 1;
  u32 mss_gpll0_div_clk_src_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_ena : 1;
  u32 cpuss_ahb_clk_ena : 1;
  u32 pcie_0_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_rchng_clk_ena : 1;
  u32 pcie_1_phy_aux_clk_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_ena : 1;
  u32 pcie_1_slv_axi_clk_ena : 1;
  u32 pcie_1_mstr_axi_clk_ena : 1;
  u32 pcie_1_cfg_ahb_clk_ena : 1;
  u32 pcie_1_aux_clk_ena : 1;
  u32 pcie_1_pipe_clk_ena : 1;
  u32 ddrss_gpll0_main_clk_src_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_CLOCK_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_s
{
  u32 sys_noc_cpuss_ahb_clk_sleep_ena : 1;
  u32 tcsr_ahb_clk_sleep_ena : 1;
  u32 qdss_cfg_ahb_clk_sleep_ena : 1;
  u32 ce1_ahb_clk_sleep_ena : 1;
  u32 ce1_axi_clk_sleep_ena : 1;
  u32 ce1_clk_sleep_ena : 1;
  u32 tlmm_clk_sleep_ena : 1;
  u32 reserved0 : 1;
  u32 tlmm_ahb_clk_sleep_ena : 1;
  u32 reserved1 : 1;
  u32 boot_rom_ahb_clk_sleep_ena : 1;
  u32 qmip_pcie_ahb_clk_sleep_ena : 1;
  u32 aggre_noc_pcie_axi_clk_sleep_ena : 1;
  u32 prng_ahb_clk_sleep_ena : 1;
  u32 tme_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_clk_src_sleep_ena : 1;
  u32 gpu_gpll0_div_clk_src_sleep_ena : 1;
  u32 mss_gpll0_div_clk_src_sleep_ena : 1;
  u32 tcu_anoc_pcie_qtb_clk_sleep_ena : 1;
  u32 ddrss_pcie_sf_qtb_clk_sleep_ena : 1;
  u32 cfg_noc_pcie_anoc_ahb_clk_sleep_ena : 1;
  u32 cpuss_ahb_clk_sleep_ena : 1;
  u32 pcie_0_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_rchng_clk_sleep_ena : 1;
  u32 pcie_1_phy_aux_clk_sleep_ena : 1;
  u32 pcie_1_slv_q2a_axi_clk_sleep_ena : 1;
  u32 pcie_1_slv_axi_clk_sleep_ena : 1;
  u32 pcie_1_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_1_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_1_aux_clk_sleep_ena : 1;
  u32 pcie_1_pipe_clk_sleep_ena : 1;
  u32 ddrss_gpll0_main_clk_src_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_CLOCK_BRANCH_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_ena : 1;
  u32 pcie_0_mstr_axi_clk_ena : 1;
  u32 pcie_0_cfg_ahb_clk_ena : 1;
  u32 pcie_0_aux_clk_ena : 1;
  u32 pcie_0_pipe_clk_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_ena : 1;
  u32 qupv3_i2c_core_clk_ena : 1;
  u32 aggre_noc_south_axi_clk_ena : 1;
  u32 qupv3_i2c_s0_clk_ena : 1;
  u32 qupv3_i2c_s1_clk_ena : 1;
  u32 qupv3_i2c_s2_clk_ena : 1;
  u32 qupv3_i2c_s3_clk_ena : 1;
  u32 qupv3_i2c_s4_clk_ena : 1;
  u32 qupv3_i2c_s5_clk_ena : 1;
  u32 qupv3_i2c_s6_clk_ena : 1;
  u32 qupv3_i2c_s7_clk_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_ena : 1;
  u32 qupv3_wrap1_core_clk_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_ena : 1;
  u32 qupv3_wrap1_s0_clk_ena : 1;
  u32 qupv3_wrap1_s1_clk_ena : 1;
  u32 qupv3_wrap1_s2_clk_ena : 1;
  u32 qupv3_wrap1_s3_clk_ena : 1;
  u32 qupv3_wrap1_s4_clk_ena : 1;
  u32 qupv3_wrap1_s5_clk_ena : 1;
  u32 qupv3_wrap1_s6_clk_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_ena : 1;
  u32 anoc_pcie_pwrctl_clk_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_CLOCK_SLEEP_ENA_VOTE_1
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_1_s
{
  u32 pcie_0_slv_axi_clk_sleep_ena : 1;
  u32 pcie_0_mstr_axi_clk_sleep_ena : 1;
  u32 pcie_0_cfg_ahb_clk_sleep_ena : 1;
  u32 pcie_0_aux_clk_sleep_ena : 1;
  u32 pcie_0_pipe_clk_sleep_ena : 1;
  u32 pcie_0_slv_q2a_axi_clk_sleep_ena : 1;
  u32 cnoc_pcie_sf_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_i2c_core_clk_sleep_ena : 1;
  u32 aggre_noc_south_axi_clk_sleep_ena : 1;
  u32 qupv3_i2c_s0_clk_sleep_ena : 1;
  u32 qupv3_i2c_s1_clk_sleep_ena : 1;
  u32 qupv3_i2c_s2_clk_sleep_ena : 1;
  u32 qupv3_i2c_s3_clk_sleep_ena : 1;
  u32 qupv3_i2c_s4_clk_sleep_ena : 1;
  u32 qupv3_i2c_s5_clk_sleep_ena : 1;
  u32 qupv3_i2c_s6_clk_sleep_ena : 1;
  u32 qupv3_i2c_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap1_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_1_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s6_clk_sleep_ena : 1;
  u32 noc_pcie_north_dcd_xo_clk_sleep_ena : 1;
  u32 qmip_aggre_noc_ahb_clk_sleep_ena : 1;
  u32 anoc_pcie_pwrctl_clk_sleep_ena : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_1_u
{
  struct ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_1_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_CLOCK_BRANCH_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_ena : 1;
  u32 qupv3_wrap2_s0_clk_ena : 1;
  u32 qupv3_wrap2_s1_clk_ena : 1;
  u32 qupv3_wrap2_s2_clk_ena : 1;
  u32 qupv3_wrap2_s3_clk_ena : 1;
  u32 qupv3_wrap2_s4_clk_ena : 1;
  u32 qupv3_wrap2_s5_clk_ena : 1;
  u32 qupv3_wrap2_s6_clk_ena : 1;
  u32 anoc_pcie_north_at_clk_ena : 1;
  u32 anoc_pcie_tsctr_clk_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_ena : 1;
  u32 qupv3_i2c_s8_clk_ena : 1;
  u32 qupv3_i2c_s9_clk_ena : 1;
  u32 qupv3_wrap1_s7_clk_ena : 1;
  u32 qupv3_wrap2_s7_clk_ena : 1;
  u32 tme_gpll0_div2_clk_src_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_tme_clock_branch_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_CLOCK_SLEEP_ENA_VOTE_2
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_2_s
{
  u32 qupv3_wrap2_core_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_s_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap_2_m_ahb_clk_sleep_ena : 1;
  u32 qupv3_wrap2_core_2x_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s0_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s1_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s2_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s3_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s4_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s5_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s6_clk_sleep_ena : 1;
  u32 anoc_pcie_north_at_clk_sleep_ena : 1;
  u32 anoc_pcie_tsctr_clk_sleep_ena : 1;
  u32 anoc_pcie_qosgen_extref_clk_sleep_ena : 1;
  u32 qupv3_i2c_s8_clk_sleep_ena : 1;
  u32 qupv3_i2c_s9_clk_sleep_ena : 1;
  u32 qupv3_wrap1_s7_clk_sleep_ena : 1;
  u32 qupv3_wrap2_s7_clk_sleep_ena : 1;
  u32 tme_gpll0_div2_clk_src_sleep_ena : 1;
  u32 reserved0 : 13;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_2_u
{
  struct ipa_gcc_hwio_def_gcc_tme_clock_sleep_ena_vote_2_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_PLL_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_pll_branch_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_pll_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_tme_pll_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_PLL_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_pll_sleep_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_pll_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_tme_pll_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_LINK_DOWN_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_link_down_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_link_down_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_link_down_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_MISC_RESET
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_misc_reset_s
{
  u32 pcie_0_slv_axi_bcr_blk_ares : 1;
  u32 pcie_0_mstr_axi_bcr_blk_ares : 1;
  u32 pcie_0_cfg_ahb_bcr_blk_ares : 1;
  u32 pcie_0_aux_bcr_blk_ares : 1;
  u32 pcie_0_pipe_bcr_blk_ares : 1;
  u32 pcie_0_mstr_axi_sticky_bcr_blk_ares : 1;
  u32 pcie_0_core_sticky_bcr_blk_ares : 1;
  u32 pcie_0_slv_axi_sticky_bcr_blk_ares : 1;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_misc_reset_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_misc_reset_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_NOCSR_COM_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_nocsr_com_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_nocsr_com_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_nocsr_com_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_PHY_NOCSR_COM_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_phy_nocsr_com_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_phy_nocsr_com_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_phy_nocsr_com_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_PHY_CFG_AHB_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_phy_cfg_ahb_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_phy_cfg_ahb_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_phy_cfg_ahb_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_PHY_COM_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_phy_com_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_phy_com_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_phy_com_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_LINK_DOWN_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_link_down_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_link_down_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_link_down_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_MISC_RESET
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_misc_reset_s
{
  u32 pcie_1_slv_axi_bcr_blk_ares : 1;
  u32 pcie_1_mstr_axi_bcr_blk_ares : 1;
  u32 pcie_1_cfg_ahb_bcr_blk_ares : 1;
  u32 pcie_1_aux_bcr_blk_ares : 1;
  u32 pcie_1_pipe_bcr_blk_ares : 1;
  u32 pcie_1_mstr_axi_sticky_bcr_blk_ares : 1;
  u32 pcie_1_core_sticky_bcr_blk_ares : 1;
  u32 pcie_1_slv_axi_sticky_bcr_blk_ares : 1;
  u32 pcie_1_phy_aux_bcr_blk_ares : 1;
  u32 reserved0 : 23;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_misc_reset_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_misc_reset_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_NOCSR_COM_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_nocsr_com_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_nocsr_com_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_nocsr_com_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_PHY_NOCSR_COM_PHY_BCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_phy_nocsr_com_phy_bcr_s
{
  u32 blk_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_phy_nocsr_com_phy_bcr_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_phy_nocsr_com_phy_bcr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_RESET
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_reset_s
{
  u32 lpass_ares : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_reset_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_reset_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DEBUG_MUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_debug_mux_muxr_s
{
  u32 mux_sel : 10;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_debug_mux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_debug_mux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_TEST_MUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_test_mux_muxr_s
{
  u32 out_sel : 6;
  u32 reserved0 : 26;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_test_mux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pll_test_mux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_STATUS_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_status_muxr_s
{
  u32 debug_bus_sel : 6;
  u32 reserved0 : 26;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_status_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_pll_status_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DEBUG_OR_PLL_TEST_MUX_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_debug_or_pll_test_mux_muxr_s
{
  u32 plltest_de_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_debug_or_pll_test_mux_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_debug_or_pll_test_mux_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLLTEST_PAD_CFG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_plltest_pad_cfg_s
{
  u32 reserve_bits5_0 : 6;
  u32 reserve_bits10_6 : 5;
  u32 hdrive : 3;
  u32 reserve_bit14 : 1;
  u32 core_ie : 1;
  u32 reserve_bit16 : 1;
  u32 core_oe : 1;
  u32 reserve_bit18 : 1;
  u32 core_pll_en : 1;
  u32 reserve_bits23_20 : 4;
  u32 core_pll_b : 2;
  u32 reserved0 : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_plltest_pad_cfg_u
{
  struct ipa_gcc_hwio_def_gcc_plltest_pad_cfg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CLOCK_FRQ_MEASURE_CTL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_clock_frq_measure_ctl_s
{
  u32 xo_div4_term_cnt : 20;
  u32 cnt_en : 1;
  u32 clr_cnt : 1;
  u32 reserved0 : 10;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_clock_frq_measure_ctl_u
{
  struct ipa_gcc_hwio_def_gcc_clock_frq_measure_ctl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CLOCK_FRQ_MEASURE_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_clock_frq_measure_status_s
{
  u32 measure_cnt : 25;
  u32 xo_div4_cnt_done : 1;
  u32 reserved0 : 6;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_clock_frq_measure_status_u
{
  struct ipa_gcc_hwio_def_gcc_clock_frq_measure_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GDS_HW_CTRL_SW_OVRD
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gds_hw_ctrl_sw_ovrd_s
{
  u32 sw_override : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gds_hw_ctrl_sw_ovrd_u
{
  struct ipa_gcc_hwio_def_gcc_gds_hw_ctrl_sw_ovrd_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VTT_EN_TIMER
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vtt_en_timer_s
{
  u32 pvc_load_value : 20;
  u32 reserved0 : 12;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vtt_en_timer_u
{
  struct ipa_gcc_hwio_def_gcc_vtt_en_timer_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VREF_EN_TIMER
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_vref_en_timer_s
{
  u32 pvc_load_value : 20;
  u32 max_index : 2;
  u32 reserved0 : 10;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_vref_en_timer_u
{
  struct ipa_gcc_hwio_def_gcc_vref_en_timer_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_IS_ACTIVE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_is_active_s
{
  u32 gpll0_sel : 1;
  u32 gpll1_sel : 1;
  u32 reserved0 : 2;
  u32 gpll4_sel : 1;
  u32 gpll5_sel : 1;
  u32 reserved1 : 26;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_is_active_u
{
  struct ipa_gcc_hwio_def_gcc_pll_is_active_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GDS_HW_CTRL_SPARE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gds_hw_ctrl_spare_s
{
  u32 spare : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gds_hw_ctrl_spare_u
{
  struct ipa_gcc_hwio_def_gcc_gds_hw_ctrl_spare_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_WCSS_PD_CLK_DIS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_wcss_pd_clk_dis_s
{
  u32 sw_override : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_wcss_pd_clk_dis_u
{
  struct ipa_gcc_hwio_def_gcc_wcss_pd_clk_dis_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE0_REG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare0_reg_s
{
  u32 spare_bits : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare0_reg_u
{
  struct ipa_gcc_hwio_def_gcc_spare0_reg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_REG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_reg_s
{
  u32 spare_bits : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_reg_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_reg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE2_REG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare2_reg_s
{
  u32 spare_bits : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare2_reg_u
{
  struct ipa_gcc_hwio_def_gcc_spare2_reg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE3_REG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare3_reg_s
{
  u32 spare_bits : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare3_reg_u
{
  struct ipa_gcc_hwio_def_gcc_spare3_reg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE4_REG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare4_reg_s
{
  u32 spare_bits : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare4_reg_u
{
  struct ipa_gcc_hwio_def_gcc_spare4_reg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE5_REG
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare5_reg_s
{
  u32 spare_bits : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare5_reg_u
{
  struct ipa_gcc_hwio_def_gcc_spare5_reg_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_misc_s
{
  u32 gpll0_div_src_disable : 1;
  u32 gpll0_src_disable : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_misc_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_misc_s
{
  u32 reserved0 : 1;
  u32 gpll0_src_disable : 1;
  u32 reserved1 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_misc_u
{
  struct ipa_gcc_hwio_def_gcc_tme_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_misc_s
{
  u32 reserved0 : 1;
  u32 gpll0_src_disable : 1;
  u32 reserved1 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_misc_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DDRSS_MC_MISC_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_ddrss_mc_misc_status_s
{
  u32 reserved0 : 1;
  u32 stall_req : 1;
  u32 unstall : 1;
  u32 stall_complete : 1;
  u32 reserved1 : 28;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_ddrss_mc_misc_status_u
{
  struct ipa_gcc_hwio_def_gcc_ddrss_mc_misc_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TZ_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_tz_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS1_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos1_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HLOS2_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_hlos2_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_s
{
  u32 sw_override : 1;
  u32 gds_hw_state : 5;
  u32 halt_ack_timeout : 8;
  u32 reserved0 : 1;
  u32 collapse_out : 1;
  u32 deny_enable : 1;
  u32 max_retry : 4;
  u32 hys_timer : 8;
  u32 reserve_30_29 : 2;
  u32 pwr_on_status : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDS_HW_CTRL_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_status_s
{
  u32 halt1_pwr_up_ack_status : 2;
  u32 halt1_pwr_down_deny_status : 2;
  u32 dvm_halt1_pwr_down_deny_status : 2;
  u32 halt1_pwr_down_ack_status : 2;
  u32 halt2_pwr_up_ack_status : 1;
  u32 halt2_pwr_down_ack_status : 1;
  u32 dvm_halt1_pwr_up_ack_status : 2;
  u32 dvm_halt1_pwr_down_ack_status : 2;
  u32 halt2_pwr_down_deny_status : 1;
  u32 dvm_halt1_req_status : 2;
  u32 halt2_req_status : 1;
  u32 halt1_req_status : 2;
  u32 reserved0 : 12;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_status_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_HALT_REQ_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_halt_req_gds_hw_ctrl_s
{
  u32 noc_halt_req : 1;
  u32 mmu_qtb_halt_req : 2;
  u32 dvm_halt_req : 2;
  u32 reserve_4_15 : 12;
  u32 reserved0 : 15;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_halt_req_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_halt_req_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDS_HW_CTRL_IRQ_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_status_s
{
  u32 status : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_status_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDS_HW_CTRL_IRQ_MASK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_mask_s
{
  u32 mask : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_mask_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_mask_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDS_HW_CTRL_IRQ_CLEAR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_clear_s
{
  u32 clear : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_clear_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_irq_clear_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_GDS_HW_CTRL_SPARE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_spare_s
{
  u32 spare : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_spare_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_gds_hw_ctrl_spare_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_s
{
  u32 sw_override : 1;
  u32 gds_hw_state : 5;
  u32 halt_ack_timeout : 8;
  u32 reserved0 : 1;
  u32 collapse_out : 1;
  u32 deny_enable : 1;
  u32 max_retry : 4;
  u32 hys_timer : 8;
  u32 reserve_30_29 : 2;
  u32 pwr_on_status : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDS_HW_CTRL_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_status_s
{
  u32 halt1_pwr_up_ack_status : 1;
  u32 halt1_pwr_down_deny_status : 1;
  u32 dvm_halt1_pwr_down_deny_status : 1;
  u32 halt1_pwr_down_ack_status : 1;
  u32 halt2_pwr_up_ack_status : 1;
  u32 halt2_pwr_down_deny_status : 1;
  u32 reserve_6_11 : 6;
  u32 halt2_pwr_down_ack_status : 1;
  u32 reserve_13_17 : 5;
  u32 dvm_halt1_pwr_up_ack_status : 1;
  u32 reserve_19 : 1;
  u32 dvm_halt1_pwr_down_ack_status : 1;
  u32 dvm_halt1_req_status : 1;
  u32 halt2_req_status : 1;
  u32 halt1_req_status : 1;
  u32 reserve_24_31 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_status_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_HALT_REQ_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_halt_req_gds_hw_ctrl_s
{
  u32 noc_halt_req : 1;
  u32 mmu_qtb_halt_req : 1;
  u32 dvm_halt_req : 1;
  u32 reserve_3_15 : 13;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_halt_req_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_halt_req_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDS_HW_CTRL_IRQ_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_status_s
{
  u32 status : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_status_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDS_HW_CTRL_IRQ_MASK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_mask_s
{
  u32 mask : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_mask_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_mask_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDS_HW_CTRL_IRQ_CLEAR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_clear_s
{
  u32 clear : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_clear_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_irq_clear_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_GDS_HW_CTRL_SPARE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_spare_s
{
  u32 spare : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_spare_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_gds_hw_ctrl_spare_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_s
{
  u32 sw_override : 1;
  u32 gds_hw_state : 5;
  u32 halt_ack_timeout : 8;
  u32 reserved0 : 1;
  u32 collapse_out : 1;
  u32 deny_enable : 1;
  u32 max_retry : 4;
  u32 hys_timer : 8;
  u32 reserve_30_29 : 2;
  u32 pwr_on_status : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDS_HW_CTRL_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_status_s
{
  u32 halt1_pwr_up_ack_status : 1;
  u32 halt1_pwr_down_deny_status : 1;
  u32 reserved0 : 1;
  u32 dvm_halt1_pwr_down_deny_status : 1;
  u32 halt1_pwr_down_ack_status : 1;
  u32 halt2_pwr_up_ack_status : 1;
  u32 halt2_pwr_down_deny_status : 1;
  u32 halt2_pwr_down_ack_status : 1;
  u32 reserve_8_17 : 10;
  u32 dvm_halt1_pwr_up_ack_status : 1;
  u32 reserve_19 : 1;
  u32 dvm_halt1_pwr_down_ack_status : 1;
  u32 dvm_halt1_req_status : 1;
  u32 halt2_req_status : 1;
  u32 halt1_req_status : 1;
  u32 reserve_24_31 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_status_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_HALT_REQ_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_halt_req_gds_hw_ctrl_s
{
  u32 noc_halt_req : 1;
  u32 mmu_qtb_halt_req : 1;
  u32 dvm_halt_req : 1;
  u32 reserve_3_15 : 13;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_halt_req_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_halt_req_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDS_HW_CTRL_IRQ_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_status_s
{
  u32 status : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_status_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDS_HW_CTRL_IRQ_MASK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_mask_s
{
  u32 mask : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_mask_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_mask_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDS_HW_CTRL_IRQ_CLEAR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_clear_s
{
  u32 clear : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_clear_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_irq_clear_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_GDS_HW_CTRL_SPARE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_spare_s
{
  u32 spare : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_spare_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_gds_hw_ctrl_spare_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_s
{
  u32 sw_override : 1;
  u32 gds_hw_state : 5;
  u32 halt_ack_timeout : 8;
  u32 reserved0 : 1;
  u32 collapse_out : 1;
  u32 deny_enable : 1;
  u32 max_retry : 4;
  u32 hys_timer : 8;
  u32 reserve_30_29 : 2;
  u32 pwr_on_status : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDS_HW_CTRL_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_status_s
{
  u32 halt1_pwr_up_ack_status : 1;
  u32 halt1_pwr_down_deny_status : 1;
  u32 reserved0 : 1;
  u32 dvm_halt1_pwr_down_deny_status : 1;
  u32 halt1_pwr_down_ack_status : 1;
  u32 halt2_pwr_up_ack_status : 1;
  u32 halt2_pwr_down_deny_status : 1;
  u32 halt2_pwr_down_ack_status : 1;
  u32 reserve_8_17 : 10;
  u32 dvm_halt1_pwr_up_ack_status : 1;
  u32 reserve_19 : 1;
  u32 dvm_halt1_pwr_down_ack_status : 1;
  u32 dvm_halt1_req_status : 1;
  u32 halt2_req_status : 1;
  u32 halt1_req_status : 1;
  u32 reserve_24_31 : 8;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_status_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_HALT_REQ_GDS_HW_CTRL
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_halt_req_gds_hw_ctrl_s
{
  u32 noc_halt_req : 1;
  u32 mmu_qtb_halt_req : 1;
  u32 dvm_halt_req : 1;
  u32 reserve_3_15 : 13;
  u32 reserved0 : 16;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_halt_req_gds_hw_ctrl_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_halt_req_gds_hw_ctrl_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDS_HW_CTRL_IRQ_STATUS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_status_s
{
  u32 status : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_status_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_status_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDS_HW_CTRL_IRQ_MASK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_mask_s
{
  u32 mask : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_mask_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_mask_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDS_HW_CTRL_IRQ_CLEAR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_clear_s
{
  u32 clear : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_clear_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_irq_clear_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_QTB_GDS_HW_CTRL_SPARE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_spare_s
{
  u32 spare : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_spare_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_qtb_gds_hw_ctrl_spare_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_QTB_GDS_HW_CTRL_SPARE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_qtb_gds_hw_ctrl_spare_s
{
  u32 spare : 8;
  u32 reserved0 : 24;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_qtb_gds_hw_ctrl_spare_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_qtb_gds_hw_ctrl_spare_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_QTB_RESET_CNTR_VALUE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_qtb_reset_cntr_value_s
{
  u32 count : 10;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_qtb_reset_cntr_value_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_qtb_reset_cntr_value_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_QTB_PWR_QCHANNEL_HANDSHAKE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_qtb_pwr_qchannel_handshake_s
{
  u32 fsm_state : 5;
  u32 reset_allowed : 1;
  u32 reserved0 : 26;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_qtb_pwr_qchannel_handshake_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_qtb_pwr_qchannel_handshake_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_QTB_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_qtb_sreg_misc_s
{
  u32 qtb_1_micro_force_mem_core_on : 1;
  u32 qtb_2_micro_force_mem_core_on : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_qtb_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_qtb_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_sreg_misc_s
{
  u32 audio_qtb_micro_force_mem_core_on : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMNOC_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmnoc_sreg_misc_s
{
  u32 sf_micro_force_mem_core_on : 1;
  u32 hf_micro_force_mem_core_on : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmnoc_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_mmnoc_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ANOC_PCIE_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_anoc_pcie_sreg_misc_s
{
  u32 aggre_noc_pcie_axi_micro_force_mem_core_on : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_anoc_pcie_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_anoc_pcie_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_QTB_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_qtb_sreg_misc_s
{
  u32 qtb_0_micro_force_mem_core_on : 1;
  u32 qtb_1_micro_force_mem_core_on : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_qtb_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_turing_qtb_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_TCU_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_tcu_sreg_misc_s
{
  u32 mmu_tcu_micro_force_mem_core_on : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_tcu_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_tcu_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAMERA_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_camera_sreg_misc_s
{
  u32 sf_axi_micro_force_mem_core_on : 1;
  u32 hf_axi_micro_force_mem_core_on : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_camera_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_camera_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DISP_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_disp_sreg_misc_s
{
  u32 sf_axi_micro_force_mem_core_on : 1;
  u32 hf_axi_micro_force_mem_core_on : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_disp_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_disp_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_VIDEO_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_video_sreg_misc_s
{
  u32 axi_0_micro_force_mem_core_on : 1;
  u32 axi_1_micro_force_mem_core_on : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_video_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_video_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_0_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_0_sreg_misc_s
{
  u32 mstr_axi_micro_force_mem_core_on : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_0_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_0_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PCIE_1_SREG_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pcie_1_sreg_misc_s
{
  u32 mstr_axi_micro_force_mem_core_on : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pcie_1_sreg_misc_u
{
  struct ipa_gcc_hwio_def_gcc_pcie_1_sreg_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_sp_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_mss_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_GPU_SMMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_gpu_smmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_gpu_smmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_gpu_smmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_LPASS_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_lpass_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_lpass_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_lpass_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_AGGRE_NOC_MMU_QTB1_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb1_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb1_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb1_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_AGGRE_NOC_MMU_QTB2_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb2_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb2_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb2_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_AGGRE_NOC_MMU_PCIE_QTB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_pcie_qtb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_pcie_qtb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_pcie_qtb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMNOC_MMU_QTB_SF_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_sf_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_sf_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_sf_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMNOC_MMU_QTB_HF01_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf01_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf01_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf01_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_TURING_MMU_QTB0_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_turing_mmu_qtb0_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_turing_mmu_qtb0_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_turing_mmu_qtb0_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_ALL_SMMU_MMU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_all_smmu_mmu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_all_smmu_mmu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_all_smmu_mmu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMU_TCU_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmu_tcu_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmu_tcu_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmu_tcu_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_GPU_SMMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_gpu_smmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_gpu_smmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_gpu_smmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_LPASS_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_lpass_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_lpass_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_lpass_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_AGGRE_NOC_MMU_QTB1_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb1_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb1_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb1_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_AGGRE_NOC_MMU_QTB2_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb2_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb2_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_qtb2_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_AGGRE_NOC_MMU_PCIE_QTB_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_pcie_qtb_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_pcie_qtb_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_aggre_noc_mmu_pcie_qtb_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMNOC_MMU_QTB_HF01_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf01_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf01_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf01_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMNOC_MMU_QTB_SF_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_sf_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_sf_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_sf_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_TURING_MMU_QTB0_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_turing_mmu_qtb0_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_turing_mmu_qtb0_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_turing_mmu_qtb0_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_ALL_SMMU_MMU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_all_smmu_mmu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_all_smmu_mmu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_all_smmu_mmu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMU_TCU_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmu_tcu_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmu_tcu_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmu_tcu_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMNOC_MMU_QTB_HF23_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf23_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf23_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf23_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_MMNOC_MMU_QTB_HF23_GDS
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf23_gds_s
{
  u32 sw_collapse : 1;
  u32 reserved0 : 30;
  u32 pwr_on : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf23_gds_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_mmnoc_mmu_qtb_hf23_gds_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_VOTE_QDSS_APB_CLK
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_vote_qdss_apb_clk_s
{
  u32 clk_enable : 1;
  u32 reserved0 : 30;
  u32 clk_off : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_vote_qdss_apb_clk_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_vote_qdss_apb_clk_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_JBIST_MODE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_jbist_mode_s
{
  u32 sleep_n : 1;
  u32 reset_n : 1;
  u32 jbist_test : 1;
  u32 start_meas : 1;
  u32 pll_lock_det : 1;
  u32 dll_clk_ext1_mux_sel : 2;
  u32 dll_clk_ext2_mux_sel : 2;
  u32 jbist_enable : 1;
  u32 jbist_pass : 1;
  u32 reserve_bits31_9 : 21;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_jbist_mode_u
{
  struct ipa_gcc_hwio_def_gcc_jbist_mode_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_JBIST_MEAS_DONE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_jbist_meas_done_s
{
  u32 jbist_data_stream_rdy : 1;
  u32 reserve_bits31_1 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_jbist_meas_done_u
{
  struct ipa_gcc_hwio_def_gcc_jbist_meas_done_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GLOBAL_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_global_en_s
{
  u32 east_enable : 1;
  u32 west_enable : 1;
  u32 north_enable : 1;
  u32 south_enable : 1;
  u32 center_enable : 1;
  u32 peripherals_enable : 1;
  u32 rest_enable : 1;
  u32 mem_enable_0 : 1;
  u32 mem_enable_1 : 1;
  u32 mem_enable_2 : 1;
  u32 mem_enable_3 : 1;
  u32 mem_enable_4 : 1;
  u32 mem_enable_5 : 1;
  u32 mem_enable_6 : 1;
  u32 mem_enable_7 : 1;
  u32 spare_enable : 17;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_global_en_u
{
  struct ipa_gcc_hwio_def_gcc_global_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_DEBUG_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_debug_en_s
{
  u32 cdbgpwrupreq : 1;
  u32 spare_enable : 30;
  u32 cdbgpwrupack : 1;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_debug_en_u
{
  struct ipa_gcc_hwio_def_gcc_debug_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_CAM_CC_SGDSCR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_cam_cc_sgdscr_s
{
  u32 sw_override : 1;
  u32 retain_ff_enable : 1;
  u32 pre_pwrup_retain_ff_enable : 1;
  u32 reserved0 : 29;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_cam_cc_sgdscr_u
{
  struct ipa_gcc_hwio_def_gcc_cam_cc_sgdscr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF0_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf0_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf0_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf0_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF1_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf1_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf1_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf1_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF2_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf2_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf2_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf2_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF3_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf3_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf3_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf3_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF4_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf4_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf4_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf4_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF5_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf5_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf5_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf5_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF6_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf6_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf6_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf6_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF7_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf7_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf7_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf7_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF8_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf8_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf8_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf8_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF9_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf9_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf9_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf9_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF10_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf10_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf10_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf10_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF11_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf11_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf11_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf11_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF12_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf12_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf12_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf12_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF13_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf13_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf13_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf13_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF14_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf14_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf14_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf14_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_PERF15_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf15_ena_vote_s
{
  u32 gcc_gpll0 : 1;
  u32 gcc_gpll1 : 1;
  u32 gcc_gpll2 : 1;
  u32 gcc_gpll3 : 1;
  u32 gcc_gpll4 : 1;
  u32 gcc_gpll5 : 1;
  u32 gcc_gpll6 : 1;
  u32 gcc_gpll7 : 1;
  u32 gcc_gpll8 : 1;
  u32 gcc_gpll9 : 1;
  u32 reserved0 : 22;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_perf15_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_perf15_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SYS_NOC_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_sys_noc_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_sys_noc_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CNOC_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cnoc_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cnoc_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_IPA_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ipa_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ipa_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ipa_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_QUPV3_CORE_2X_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_qupv3_core_2x_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CE_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_ce_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_ce_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_ce_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_CDSP_NOC_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_cdsp_noc_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_MMNOC_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_mmnoc_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_mmnoc_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHUB_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shub_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shub_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shub_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_SHRM_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_shrm_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_shrm_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_shrm_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_PMU_INTERFACE_FSM
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_pmu_interface_fsm_s
{
  u32 fsm_state : 5;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_pmu_interface_fsm_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_pmu_interface_fsm_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GPU_MEMNOC_GFX_CLK_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_clk_en_s
{
  u32 mux_select : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_clk_en_u
{
  struct ipa_gcc_hwio_def_gcc_gpu_memnoc_gfx_clk_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_MEMNOC_TCU_CLK_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_memnoc_tcu_clk_en_s
{
  u32 mux_select : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_memnoc_tcu_clk_en_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_memnoc_tcu_clk_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MMU_GDSC_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mmu_gdsc_misc_s
{
  u32 ignore_pmu_pwr_collapse_req : 1;
  u32 wait_for_lpass_qtb_pwr_collapse : 1;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mmu_gdsc_misc_u
{
  struct ipa_gcc_hwio_def_gcc_mmu_gdsc_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_TURING_CLK_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_turing_clk_en_s
{
  u32 mux_select : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_turing_clk_en_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_turing_clk_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_MSS_Q6_CLK_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_mss_q6_clk_en_s
{
  u32 mux_select : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_mss_q6_clk_en_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_mss_q6_clk_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MEMNOC_MSS_OFFLINE_CLK_EN
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_memnoc_mss_offline_clk_en_s
{
  u32 mux_select : 2;
  u32 reserved0 : 30;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_memnoc_mss_offline_clk_en_u
{
  struct ipa_gcc_hwio_def_gcc_memnoc_mss_offline_clk_en_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_Q6SS_BOOT_GPLL0_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_q6ss_boot_gpll0_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_q6ss_boot_gpll0_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_q6ss_boot_gpll0_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6SS_BOOT_GPLL0_MUXR
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6ss_boot_gpll0_muxr_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6ss_boot_gpll0_muxr_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6ss_boot_gpll0_muxr_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_ACA_FAL10_VETO_ENABLE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_aca_fal10_veto_enable_s
{
  u32 clk_on_veto_enable : 32;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_aca_fal10_veto_enable_u
{
  struct ipa_gcc_hwio_def_gcc_aca_fal10_veto_enable_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_MISC
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_misc_s
{
  u32 hw_triggered_pll_stby_dis : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_misc_u
{
  struct ipa_gcc_hwio_def_gcc_pll_misc_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPMH_ALL_CLK_OFF
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpmh_all_clk_off_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpmh_all_clk_off_u
{
  struct ipa_gcc_hwio_def_gcc_rpmh_all_clk_off_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_GDSC_ALL_CLK_OFF
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_gdsc_all_clk_off_s
{
  u32 ufs_phy_gdscr_sw_power_down_complete : 1;
  u32 ufs_mem_phy_gdscr_sw_power_down_complete : 1;
  u32 pcie_1_phy_gdscr_sw_power_down_complete : 1;
  u32 pcie_1_gdscr_sw_power_down_complete : 1;
  u32 pcie_0_phy_gdscr_sw_power_down_complete : 1;
  u32 pcie_0_gdscr_sw_power_down_complete : 1;
  u32 turing_qtb_gdscr_sw_power_down_complete : 1;
  u32 lpass_qtb_gdscr_sw_power_down_complete : 1;
  u32 usb3_phy_gdscr_sw_power_down_complete : 1;
  u32 usb30_prim_gdscr_sw_power_down_complete : 1;
  u32 mmnoc_gdscr_sw_power_down_complete : 1;
  u32 mmu_gdscr_sw_power_down_complete : 1;
  u32 anoc_pcie_gdscr_sw_power_down_complete : 1;
  u32 ipa_gdscr_sw_power_down_complete : 1;
  u32 reserved0 : 18;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_gdsc_all_clk_off_u
{
  struct ipa_gcc_hwio_def_gcc_gdsc_all_clk_off_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_PLL_ALL_CLK_OFF
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_pll_all_clk_off_s
{
  u32 mux_sel : 1;
  u32 reserved0 : 31;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_pll_all_clk_off_u
{
  struct ipa_gcc_hwio_def_gcc_pll_all_clk_off_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_sp_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SP_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_sp_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_sp_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_sp_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_RPM_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_rpm_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_rpm_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_rpm_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_APCS_TZ_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_apcs_tz_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_apcs_tz_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_apcs_tz_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_LPASS_DSP_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_lpass_dsp_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_lpass_dsp_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_lpass_dsp_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TURING_DSP_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_turing_dsp_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_turing_dsp_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_turing_dsp_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_MSS_Q6_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_mss_q6_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_mss_q6_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_mss_q6_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_HYP_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_hyp_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_hyp_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_hyp_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_SPARE1_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_spare1_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_spare1_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_spare1_gdsc_sleep_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_GDSC_BRANCH_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_gdsc_branch_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_gdsc_branch_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_tme_gdsc_branch_ena_vote_s def;
  u32 value;
};

/*===========================================================================*/
/*!
  @brief Bit Field definition of register: GCC_TME_GDSC_SLEEP_ENA_VOTE
*/
/*===========================================================================*/
/* Structure definition of register */
struct ipa_gcc_hwio_def_gcc_tme_gdsc_sleep_ena_vote_s
{
  u32 gcc_pcie_0_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_gdsc_sw_collapse : 1;
  u32 gcc_anoc_pcie_gdsc_sw_collapse : 1;
  u32 gcc_pcie_0_phy_gdsc_sw_collapse : 1;
  u32 gcc_pcie_1_phy_gdsc_sw_collapse : 1;
  u32 reserved0 : 27;
};

/* Union definition of register */
union ipa_gcc_hwio_def_gcc_tme_gdsc_sleep_ena_vote_u
{
  struct ipa_gcc_hwio_def_gcc_tme_gdsc_sleep_ena_vote_s def;
  u32 value;
};


#endif /* __IPA_GCC_HWIO_DEF_H__ */
